Notification method for a server description change

- « MongoDB\Driver\Monitoring\SDAMSubscriber

- MongoDB\Driver\Monitoring\SDAMSubscriber::serverClosed »

- PHP Manual
- MongoDB\Driver\Monitoring\SDAMSubscriber
- Notification method for a server description change

# MongoDB\Driver\Monitoring\SDAMSubscriber::serverChanged

(mongodb >=1.13.0)

MongoDB\Driver\Monitoring\SDAMSubscriber::serverChanged — Notification method for a server description change

### Description

abstract public MongoDB\Driver\Monitoring\SDAMSubscriber::serverChanged(MongoDB\Driver\Monitoring\ServerChangedEvent `$event`): void

If the subscriber is registered, this method is called when a server's description changes. For example, a server's type changing from secondary to primary would cause its server description to change.

### Parameters

`event` (MongoDB\Driver\Monitoring\ServerChangedEvent)

  An event object encapsulating information about the changed server description.

### Return Values

No value is returned.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Monitoring\ServerChangedEvent
- MongoDB\Driver\Monitoring\addSubscriber() - Registers a monitoring event subscriber globally
- MongoDB\Driver\Manager::addSubscriber() - Registers a monitoring event subscriber with this Manager